package com.docus.server.enums;

import com.docus.infrastructure.core.db.enums.IIntegerEnum;

/**
 * 回收状态
 */
public enum RecoveryStateEnum implements IIntegerEnum {
    RECYCLED_WAITING(0, "待回收"),
    RECYCLED_ALREADY(1, "已回收");

    private Integer value;
    private String display;

    RecoveryStateEnum(Integer value, String display) {
        this.value = value;
        this.display = display;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDisplay() {

        return display;
    }

    public static RecoveryStateEnum fromValue(Integer value) {
        return IIntegerEnum.fromValue(RecoveryStateEnum.class, value);
    }
}
